#!/bin/bash

command_exists() {
	command -v "$@" > /dev/null 2>&1
}

if command_exists docker; then
  echo "docker 已安装.... 跳过"
  ( set -x; sleep 5 )
else
  curl -sSL https://git.martin98.com/MartinFarm/init/raw/branch/main/docker-install.sh | sh
fi

cat > /etc/docker/daemon.json <<EOF
{
    "registry-mirrors": [
        "https://docker.martin98.com",
        "https://registry-docker.martin98.com",
		    "https://registry-dockerhub.hk.martin98.com"
    ]
}
EOF

if pidof systemd >/dev/null 2>&1; then
    systemctl restart docker
else
    echo "systemctl 不存在，跳过 docker 重启。"
fi
